Get checkpoint metadata
const url = 'http://127.0.0.1:8080/v1/checkpoints/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url http://127.0.0.1:8080/v1/checkpoints/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Checkpoint UUID or display name.
Checkpoint UUID or display name.
Responses
Section titled “Responses”Response envelope.
Response envelope.
object
Checkpoint response object.
object
User-chosen display name.
Stable checkpoint UUID.
RFC3339 timestamp when the control-plane checkpoint row was created.
Checkpoint resource state.
object
Current resource allocation.
object
Current memory allocation in MiB.
Resource limits.
object
Maximum memory in MiB.
Resource requests.
object
Requested baseline memory in MiB.
Requested virtual CPUs.
Checkpoint lifecycle state.
Example
{ "data": { "state": "creating" }}Missing, malformed, or rejected bearer token
object
object
Example
{ "error": { "code": "already_exists" }}The bearer token is not allowed to perform this action
object
object
Example
{ "error": { "code": "already_exists" }}The requested resource was not found
object
object
Example
{ "error": { "code": "already_exists" }}The request conflicts with current resource state
object
object
Example
{ "error": { "code": "already_exists" }}Validation or application error
object
object
Example
{ "error": { "code": "already_exists" }}Rate limit exceeded
object
object
Example
{ "error": { "code": "already_exists" }}Upstream service is unavailable
object
object
Example
{ "error": { "code": "already_exists" }}Upstream request timed out
object
object
Example
{ "error": { "code": "already_exists" }}default
Section titled “default”Error response
object
object
Example
{ "error": { "code": "already_exists" }}